Update newsletterAsk AIput https://www.pelcro.com/api/v1/core/newsletters/{id}Update an existing newsletter subscriber.Path Paramsidint32requiredThe unique identifier of the newsletter.Query Paramssite_idint32required≥ 1The unique identifier of the site associated with your account.Body ParamsemailstringrequiredSubscriber email. Must be unique per site. Validated with RFC filter.sourcestringenumrequiredSignup source. Input is lowercased automatically.webphonemailotherAllowed:webphonemailotherfirst_namestringlength ≤ 255Subscriber first name.last_namestringlength ≤ 255Subscriber last name.postal_codestringlength ≤ 10Subscriber postal/zip code.listsstringFree-text string for list assignments (no format enforced).consent_urlstringlength ≤ 200URL where consent was given. Defaults to empty string if omitted.consent_ipstringIP where consent was given. Must be valid IPv4 or IPv6. Defaults to empty string if omitted.consent_textstringlength ≤ 100Consent text shown to subscriber. Defaults to empty string if omitted.consent_typestringlength ≤ 100Type of consent (e.g. explicit, implied). Defaults to empty string if omitted.HeadersAuthorizationstringrequiredDefaults to Bearer eyJ***Responses 200Success. 400Invalid request. 401Unauthenticated. 404Not found.Updated 3 days ago